Get a Substack category's feed: the posts and notes Substack shows for the topic, top, newest or posts only. Each item is tagged note or post. Supports fetching multiple pages in a single API call.
curl "https://apidirect.io/v1/substack/category/feed?category=technology&pages=1" -H "X-API-Key: YOUR_API_KEY"
{
"category": {
"category_id": 4,
"name": "Technology"
},
"count": 10,
"items": [
{
"attachments": [],
"author": "sifuyik",
"author_bestseller_tier": 0,
"author_id": "73134922",
"author_name": "Sifu Yik Chan",
"author_pic_url": "",
"author_url": "https://substack.com/@sifuyik",
"body": "50 legendary websites that feel like the internet’s hidden toolbox 🧰\n\n1. http://unpaywall.org — Free research papers\n\n2.…",
"date": "2026-09-23 04:15:17",
"domain": "substack.com",
"lang": "en",
"likes": 16089,
"note_id": "343671380",
"publication": "Sifu Yik's Substack",
"reactions": {
"❤": 16089
},
"replies": 89,
"restacks": 4337,
"source": "Substack",
"type": "note",
"url": "https://substack.com/@sifuyik/note/c-343671380"
},
{
"audience": "everyone",
"audio_url": "",
"author": "chrisarmitage1",
"author_id": "370292293",
"author_name": "Christopher Armitage",
"author_url": "https://substack.com/@chrisarmitage1",
"authors": [
{
"name": "Christopher Armitage",
"url": "https://substack.com/@chrisarmitage1",
"user_id": "370292293",
"username": "chrisarmitage1"
}
],
"comments": 87,
"cover_image_url": "https://substackcdn.com/image/fetch/$s_!skDu!,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fsubstack-post-media.…",
"date": "2026-10-11 22:08:52",
"domain": "substack.com",
"is_paid": false,
"lang": "en",
"likes": 700,
"podcast_duration": 0,
"podcast_image_url": "",
"podcast_url": "",
"post_id": "219921886",
"post_type": "newsletter",
"publication": "The Existentialist Republic",
"publication_id": "5818316",
"publication_url": "https://cmarmitage.substack.com",
"reactions": {
"❤": 700
},
"replies": 0,
"restacks": 306,
"slug": "ukraine-is-successfully-bombing-the",
"snippet": "Yandex answers 70% of Russian searches, and Ukraine hit three of its five data centers in four days.",
"source": "Substack",
"subtitle": "Yandex answers 70% of Russian searches, and Ukraine hit three of its five data centers in four days.",
"tags": [
"Christopher Armitage ",
"campaign",
"American fascism",
"activism",
"ukraine"
],
"title": "Ukraine is Successfully Bombing the Heart of Russia’s Online Disinformation Machine.",
"type": "post",
"url": "https://cmarmitage.substack.com/p/ukraine-is-successfully-bombing-the",
"video_duration": 0,
"wordcount": 1573
}
],
"pages": 1,
"sort_by": "top"
}